﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="MySQL Workbench" Publisher="Oracle" Version="" ReleaseDate="">
		<UserCategories>
			<Category>Pre-Approved</Category>
		</UserCategories>
		<SoftwareCategories>
			<Category>Pre-Approved</Category>
			<Category>LABS Baseline</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Oracle\MySQL Workbench\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>$DisplayName = '{DetectionName}'
$DisplayVersion = '{DetectionVersion}'
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKeyList) {
	$RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
        return $true
    }
}
			</TEXT>
		</DetectionScript>
	</DeploymentType>
</Application>